<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'system_time.title' | translate}}
        </div>
        <div class="card-body">
          <div class="row" *ngIf="systemTime">
            <div class="col-1">{{'system_time.timezone' | translate}}</div>
            <div class="col-4">
              <label>
                <select class="form-control" [(ngModel)]="systemTime.timezone" (ngModelChange)="onTimeZoneChange()">
                  <option *ngFor="let timezone of timezones" value="{{timezone.tzName}}">
                    {{timezone.tzPresentationName}}
                  </option>
                </select>
              </label>
            </div>
            <div class="col-1">{{'system_time.ntp_server' | translate}}</div>
            <div class="col-2">
              <input class="form-control" type="text" [(ngModel)]="systemTime.server">
              <div class="suggestions" *ngIf="suggestions.length">
                <p *ngFor="let s of suggestions">{{s}}</p>
              </div>
            </div>
            <div class="col-4 d-flex justify-content-start">
              <button class="btn btn-primary w-auto ml-1" (click)="getGMT()">{{'system_time.get_gmt' | translate}}</button>
            </div>
          </div>

          <div class="row mt-3">
            <div class="col-1">{{'system_time.datetime' | translate}}</div>
            <div class="col-3 input-icons">
              <input
                [owlDateTime]="dt1"
                [value]="time"
                class="input-field form-control" style="display: inline" (dateTimeChange)="changeDateTime($event)">
              <span class="trigger" [owlDateTimeTrigger]="dt1"><i class="fa fa-calendar fa-2x"></i></span>
              <owl-date-time #dt1></owl-date-time>
            </div>
          </div>
          <div class="row mt-3 text-center">
            <div class="col-4 text-center">
              <app-canvas-clock [dateTime]="time"></app-canvas-clock>
            </div>
            <div class="col-8">
              <owl-date-time-inline class="w-100 owl-datetime-inline" [pickerType]="'calendar'" [ngModel]="time" disabled style="opacity: initial"></owl-date-time-inline>
            </div>
          </div>
        </div>
        <div class="form-group row top-buffer mt-5" style="padding-left: 10%">
          <button type="button" class="btn btn-block btn-primary col-1" style="margin: 1%" (click)="save()">
            <i class="icon-pencil"></i>
            <span class="d-none d-md-inline">{{'common.save' | translate}}</span>
          </button>
          <button type="button" class="btn btn-block btn-danger col-1" style="margin: 1%" (click)="cancel()">
            <i class="icon-action-undo"></i>
            <span class="d-none d-md-inline">{{'common.cancel' | translate}}</span>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
